For the complete documentation index, see llms.txt.

Starshipit API reference

Starshipit API

Manifests

Create manifests and retrieve manifest data for carrier handover. Search still covers every Starshipit endpoint, so you can move between API groups without returning to an index page.

4 endpointsBase URL https://api.starshipit.comModelsRelated guide

58 endpoints shown

Orders

Create, search, update, tag, archive, restore, and list orders before shipping.

18 endpoints shown

Copy curlView as MarkdownCopy for LLM

Endpoint URL

https://api.starshipit.com/api/orders/unshipped

Endpoint details

Get a list of all unshipped orders (default: orders updated in the last 24 hours)

Request Parameters

Parameter Description Example Value Accepted values
since_order_date (optional) Show orders created after date in UTC (date-time in RFC3339 format) 2024-05-27T06:00:00.000Z
since_last_updated (optional) Show orders recently updated after date in UTC (date-time in RFC3339 format) 2024-05-27T06:00:00.000Z
ids_only (optional) Show all unshipped order_ids false true
limit (optional) Amount of results (default: 50) (maximum: 250) 50 1, 2, 3, ..., 250
page (optional) Page to show (default: 1) 1 1, 2, 3, ...

List Orders (Unshipped) Response

Attribute Type Description
orders list of orders List of unshipped orders details (Full Order Model)
order_ids list of order_ids List of unshipped order_ids (only present if ids_only is set to true)
total_pages integer Total number of pages available
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model) (only present if the request resulted in an error)

Response examples

List Orders (Unshipped) (200)
{
    "orders": [
        {
            "order_id": 440482182,
            "order_date": "2024-06-16T23:41:13",
            "order_number": "#1148-1",
            "reference": "#1148",
            "carrier": "DHL",
            "carrier_name": "DHL Express",
            "carrier_service_code": "WPX",
            "signature_required": false,
            "dangerous_goods": false,
            "currency": "NZD",
            "sender_details": {
                "name": "Frank's Flowers",
                "email": "frank@flowers.com",
                "phone": "0215671234",
                "building": "Building A",
                "company": "Frank's Flowers",
                "street": "10 Rose Street",
                "suburb": "redfern",
                "city": "redfern",
                "state": "NSW",
                "post_code": "2016",
                "country": "Australia",
                "tax_numbers": []
            },
            "destination": {
                "name": "John Smith",
                "email": "john@smith.com",
                "phone": "0225671289",
                "building": "1A",
                "company": "John Smith Tools",
                "street": "10 Federal Street",
                "city": "Auckland",
                "state": "Auckland",
                "post_code": "1010",
                "country": "New Zealand",
                "delivery_instructions": "",
                "tax_numbers": []
            },
            "items": [
                {
                    "item_id": 1286216642,
                    "description": "Rose",
                    "sku": "",
                    "country_of_origin": "AU",
                    "quantity": 1,
                    "quantity_to_ship": 1,
                    "weight": 0.88,
                    "height": 0,
                    "width": 0,
                    "length": 0,
                    "value": 0,
                    "stock_on_hand": 0
                }
            ],
            "packages": [
                {
                    "package_id": 553567691,
                    "weight": 1,
                    "height": 0.1,
                    "width": 0.1,
                    "length": 0.1,
                    "packaging_type": ""
                }
            ],
            "metadatas": [
                {
                    "metafield_key": "ADDRESSVALIDATED",
                    "value": "True",
                    "required": false
                },
                {
                    "metafield_key": "SOURCE",
                    "value": "Shopify",
                    "required": false
                },
                {
                    "metafield_key": "DTP",
                    "value": "False",
                    "required": false
                },
                {
                    "metafield_key": "INSURANCE",
                    "value": "False",
                    "required": false
                },
                {
                    "metafield_key": "INSURANCEVALUE",
                    "value": "0.00",
                    "required": false
                },
                {
                    "metafield_key": "GREENSERVICE",
                    "value": "False",
                    "required": false
                },
                {
                    "metafield_key": "ADULT_SIGNATURE",
                    "value": "False",
                    "required": false
                },
                {
                    "metafield_key": "ATL",
                    "value": "False",
                    "required": false
                },
                {
                    "metafield_key": "BATTERY",
                    "value": "False",
                    "required": false
                },
                {
                    "metafield_key": "SATURDAY",
                    "value": "False",
                    "required": false
                },
                {
                    "metafield_key": "CUSTOMSINCOTERM",
                    "value": "Not Set",
                    "required": false
                },
                {
                    "metafield_key": "CUSTOMSEXPORTREASON",
                    "value": "Not Set",
                    "required": false
                },
                {
                    "metafield_key": "CUSTOMSDUTYACCOUNTNUMBER",
                    "value": "",
                    "required": false
                }
            ],
            "declared_value": 0,
            "archived": false,
            "manifest_number": 0,
            "address_validation": "NotChecked",
            "create_return": false,
            "dtp": false,
            "add_insurance": false,
            "insurance_value": 0,
            "plt": false,
            "type": "Outgoing",
            "platform": "Manual",
            "status": "Unshipped"
        }
    ],
    "total_pages": 1,
    "success": true
}
ids_only (200)
{
    "order_ids": [
        400000000,
        400000001,
        400000002
    ],
    "total_pages": 1,
    "success": true
}
Copy curlView as MarkdownCopy for LLM

Endpoint URL

https://api.starshipit.com/api/orders/shipments?status=recently_printed

Endpoint details

Get recently printed or unmanifested orders

Request Parameters

Parameter Description Example Value Accepted Values
since_created_date (optional) Show shipments created after date in UTC (date-time in RFC3339 format) 2024-05-27T06:00:00.000Z
status The status of the shipments to return recently_printed recently_printed, unmanifested
limit (optional) Amount of results (default: 50) (maximum: 250) 50 1, 2, 3, ..., 250
page (optional) Page to show (default: 1) 1 1, 2, 3, ...

List Orders (Printed or Unmanifested) Response

Attribute Type Description
orders list of orders List of orders (Shipments Order Model)
status string Shipment status: recently_printed or unmanifested
total_pages integer Total number of pages available
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Response examples

List Orders (Printed) (200)
{
    "status":"recently_printed",
    "orders": [
      {
        "order_id": 1020304051,
        "order_number": "10001",
        "date": "2020-11-03T08:10:11.4460327Z",
        "name": "John Smith",
        "carrier_name": "Australia Post",
        "carrier_service_code": "7B05",
        "tracking_numbers": [
          "QQQ001156301000960302"
        ],
        "country": "Australia"
      }
    ],
    "total_pages": 1,
    "success": true 
}
Copy curlView as MarkdownCopy for LLM

Endpoint URL

https://api.starshipit.com/api/orders/shipped

Endpoint details

Get a list of all shipped orders (default: orders updated in the last 24 hours)

Request Parameters

Parameter Type Description
since_last_updated (optional) string Show orders recently updated after date in UTC (date-time in RFC3339 format)
ids_only (optional) boolean Show all unshipped order_ids
limit (optional) integer Amount of results (default: 50) (maximum: 250)
page (optional) integer Page to show (default: 1)

List Orders (Shipped) Response

Attribute Type Description
orders object list List of shipped orders details (Full Order Model)
order_ids integer list List of shipped order_id
total_pages integer Total number of pages available
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Response examples

List Orders (Shipped) (200)
{
  "orders": [
    {
      "order_id": 1020304051,
      "order_date": "2020-04-27T22:46:59.0593498Z",
      "shipped_date": "2020-04-29T22:46:59.0593498Z",
      "order_number": "10001",
      "reference": "Online Order",
      "integration_source_name": "API",
      "name": "John Smith",
      "state": "NSW",
      "country": "Australia",
      "carrier": "AusPost",
      "carrier_name": "Australia Post",
      "carrier_service_code": "7B05",
      "carrier_service_name": "Express Post",
      "shipment_type": "O",
      "tracking_number": "QQQ001156301000960302",
      "tracking_short_status": "In Transit",
      "tracking_full_status": "In Transit",
      "manifest_number": 5358,
      "manifest_sent": true,
      "writeback_status": "Up to date",
      "writeback_details": "Success"
    }
  ],
  "total_pages": 1,
  "success": true
}
Copy curlView as MarkdownCopy for LLM

Endpoint URL

https://api.starshipit.com/api/orders/delivered?order_ref=12345

Endpoint details

Get a list of all delivered orders with a given order reference

Request Parameters

Parameter Description
order_ref The order reference to filter delivered orders by

List Orders (Delivered) Response

Attribute Type Description
orders object list List of shipped orders details (Full Order Model)
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Response examples

List Orders (Delivered) (200)
{
    "orders": [
        {
            "order_id": 400000001,
            "order_date": "2022-02-22T23:57:51.3774738",
            "order_number": "5370",
            "reference": "12345",
            "carrier": "AusPost",
            "carrier_name": "Australia Post",
            "carrier_service_code": "7B05",
            "signature_required": false,
            "dangerous_goods": false,
            "currency": "NZD",
            "sender_details": {
                "name": "Sender Name",
                "email": "sender.email@starshipit.com",
                "phone": "0201234567",
                "company": "Starshipit",
                "street": "10 George Street",
                "suburb": "City Centre",
                "city": "Melbourne",
                "state": "VIC",
                "post_code": "1234",
                "country": "Australia",
                "tax_numbers": []
            },
            "destination": {
                "name": "John Smith",
                "email": "john.smith@example.com",
                "phone": "",
                "building": "",
                "company": "",
                "street": "10 George St",
                "suburb": "Redfern",
                "city": "",
                "state": "NSW",
                "post_code": "2016",
                "country": "AUSTRALIA",
                "delivery_instructions": "",
                "tax_numbers": []
            },
            "packages": [
                {
                    "package_id": 200000001,
                    "name": "Test Package",
                    "weight": 6,
                    "height": 0.01,
                    "width": 0.05,
                    "length": 0.1,
                    "packaging_type": "Carton",
                    "carrier_service_code": "7B05",
                    "carrier_service_name": "PARCEL POST + SIGNATURE",
                    "tracking_number": "2XD890127901000935103",
                    "tracking_url": "https://auspost.com.au/mypost/track/details/2XD890127901000935103",
                    "delivery_status": "Printed",
                    "shipment_type": "Outgoing",
                    "label_created_date": "2022-02-23T00:00:43.8986313",
                    "barcode": "0199312650999998912XD890127901000935103"
                }
            ],
            "metadatas": [
                {
                    "metafield_key": "ADDRESSVALIDATED",
                    "value": "True",
                    "required": false
                },
                {
                    "metafield_key": "SOURCE",
                    "value": "Manual",
                    "required": false
                },
                {
                    "metafield_key": "ATL",
                    "value": "False",
                    "required": false
                },
                {
                    "metafield_key": "SAFEDROP",
                    "value": "True",
                    "required": false
                },
                {
                    "metafield_key": "CREATERETURN",
                    "value": "False",
                    "required": false
                },
                {
                    "metafield_key": "INSURANCE",
                    "value": "False",
                    "required": false
                },
                {
                    "metafield_key": "INSURANCEVALUE",
                    "value": "0.00",
                    "required": false
                },
                {
                    "metafield_key": "DANGEROUSGOODS",
                    "value": "False",
                    "required": false
                },
                {
                    "metafield_key": "EXPORTTYPE",
                    "value": "Sale of Goods",
                    "required": false
                },
                {
                    "metafield_key": "COMMERCIALVALUE",
                    "value": "False",
                    "required": false
                },
                {
                    "metafield_key": "EXPORTNUMBER",
                    "value": "",
                    "required": false
                }
            ],
            "declared_value": 0,
            "archived": false,
            "manifest_number": 12345678,
            "writeback_status": "Not required",
            "writeback_details": "Not Required",
            "address_validation": "Valid",
            "create_return": false,
            "dtp": false,
            "export_type": "Sale of Goods",
            "add_insurance": false,
            "insurance_value": 0,
            "plt": false,
            "type": "Outgoing",
            "platform": "Manual",
            "status": "Delivered6",
            "manifested": true,
            "has_commercial_invoice": false,
            "is_fully_packed": false
        }
    ],
    "success": true
}
Copy curlView as MarkdownCopy for LLM

Endpoint URL

https://api.starshipit.com/api/orders/summary?order_status=shipped

Endpoint details

Get a summary of orders by status

Request Parameters

Parameter Description Example Value Accepted values
order_status order status to show order summary of shipped new, shipped, printed, archived
page page number 1 1, 2, 3, ...
page_size number of results to return (default: 500, maximum: 500) 500 1, 2, 3, ..., 500
filter See the Filters section on how to use this. Order:::1419

Order:1419,Country:::Australia
sort Order field to sort by. Order Address, Carrier, Name, Country, Date (order_date), Items, Manifest (manifest_number), Order (order_number), Product, Quantity, ShippedDate, ShippingDescription, ShippingMethod, SKU, StockOnHand, Platform, State, Status (order status), Weight, Writeback (writeback_status)
sort_direction Sort Direction Ascending Ascending, Descending

Order Summary Response

Attribute Type Description
orders list of orders List of orders
order_counts object stats on orders
errors object list List of detailed errors (Error Model) (only present if the request resulted in an error)

Response examples

List Orders Summary (200)
{
    "orders": [
        {
            "order_id": 400000001,
            "order_number": "1419",
            "contact_name": "Test test",
            "country": "Australia",
            "state": "NSW",
            "order_type": "Outgoing",
            "platform": "WooCommerce",
            "integration_id": 25,
            "order_status": 10,
            "carrier": "MyPostBusiness",
            "product": "B20",
            "weight": 0,
            "weight_unit": "kg",
            "valid_address": true,
            "quantity": "",
            "skus": "",
            "items": "",
            "soh": "",
            "manifest_number": 2630833,
            "manifest_sent": true,
            "writeback_status": "Up to date",
            "order_date": "2024-04-14T23:44:45",
            "shipped_date": "2024-04-18T04:43:49.9777195"
        }
    ],
    "order_counts": {
        "unprinted_count": 248,
        "printed_count": 62,
        "shipped_count": 68,
        "archived_count": 956,
        "archived_unshipped_count": 0,
        "archived_shipped_count": 956,
        "unprinted_invalidaddress_count": 14,
        "return_count": 17
    },
    "success": true
}
Complex filtering example (200)
{
    "orders": [
        {
            "order_id": 424687615,
            "order_number": "#1129",
            "contact_name": "test test",
            "country": "Australia",
            "state": "NSW",
            "order_type": "Outgoing",
            "platform": "Shopify",
            "integration_id": 557383,
            "order_status": "Delivered",
            "carrier": "PlainLabel",
            "product": "Plain Label",
            "weight": 0,
            "weight_unit": "kg",
            "valid_address": true,
            "quantity": "",
            "skus": "",
            "items": "",
            "soh": "",
            "manifest_number": 0,
            "manifest_sent": true,
            "writeback_status": "Up to date",
            "tracking_status": "Delivered",
            "order_date": "2024-04-23T22:45:48",
            "shipped_date": "2024-04-29T02:04:16.5098323"
        }
    ],
    "order_counts": {
        "unprinted_count": 248,
        "printed_count": 62,
        "shipped_count": 68,
        "archived_count": 956,
        "archived_unshipped_count": 0,
        "archived_shipped_count": 956,
        "unprinted_invalidaddress_count": 14,
        "return_count": 17
    },
    "success": true
}
Search OrdersResponses

Endpoint URL

https://api.starshipit.com/api/orders/search?phrase=EXAMPLE-ORDER&status=All&fields=All

Endpoint details

Find a known order by order number, tracking number, reference or receiver name.

Supply a non-empty phrase and set status=All with fields=All to include matching unshipped, shipped and archived orders. Check each result's archived boolean to identify an archived order. This endpoint does not provide an archived-only list or a tag-based search of archived orders.

Request Parameters

Parameter Description Example Value Accepted Values
phrase (required) In conjunction with the 'fields' parameter, this is the search phrase to search for. John Smith
limit (optional) Amount of results (default: 50) (maximum: 250) 50 1, 2, 3, ..., 250
page (optional) Page to show (default: 1) 1 1, 2, 3, ...
status (optional) Status scope. Set All explicitly to include archived matches; this is not an archived-only filter. All All, Unshipped, Shipped
fields (optional) In. conjunction with the phrase parameter, which field to search. If "All", it will search 'order number', 'tracking number', 'theirRef' and 'name' All All, Order_Number, TheirRef
include_child_accounts If set to true, orders from child accounts will be returned (default: false) true true, false

Search Orders Response

Attribute Type Description
orders object list List of order assignments (Search Order Model)
total_pages integer Total number of pages available
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Response examples

Search Orders by order number (200)
{
  "orders": [
    {
      "order_id": 10001,
      "order_date": "2020-04-29T22:46:59.6374472Z",
      "order_number": "12345",
      "name": "John Smith",
      "carrier_name": "Australia Post",
      "tracking_number": "A123456",
      "country": "Australia",
      "archived": false
    }
  ],
  "total_pages": 1,
  "success": true
}
Search Orders by tracking number (200)
{
  "orders": [
    {
      "order_id": 10001,
      "order_date": "2020-04-29T22:46:59.6374472Z",
      "order_number": "12345",
      "name": "John Smith",
      "carrier_name": "Australia Post",
      "tracking_number": "A123456",
      "country": "Australia",
      "archived": false
    }
  ],
  "total_pages": 1,
  "success": true
}
Copy curlView as MarkdownCopy for LLM
Get Order(s)Responses

Endpoint URL

https://api.starshipit.com/api/orders

Endpoint details

Get order details by either order_id or order_number. If neither order_id or order_number is provided, this endpoint can be used to return multiple orders that match the criteria.

Request Parameters

Parameter Description Example Value Accepted Values
order_id (optional) The unique numeric identifier for the order 12345 Any integer
order_number (optional) The identifier of the order pulled from source e-Commerce platform #1234 Any
status (optional) The order status to filter orders for (default: unshipped) Unshipped Unshipped, Shipped, Printed
filter (optional) See the Filters section on how to use this. Order:::#1234
include (optional) Allows additional objects and values to be included in the response. To specify multiple inclusions, just use multiple Include parameters. Account_Summary Account_Summary, Shipment_Attributes, Sender_Details, Destination, Items, Packages, Metadatas, Events, Shipping_Price
sort_column (optional) Order field to sort the orders returned by Address Address, Carrier, Name, Country, Date (order_date), Items, Manifest (manifest_number), Order (order_number), Product, Quantity, ShippedDate, ShippingDescription, ShippingMethod, SKU, StockOnHand, Platform, State, Status (order status), Weight, Writeback (writeback_status)
sort_direction (optional) Direction of the sort applied with sort_column. (Default: Descending) Ascending Ascending, Descending
page_number (optional) Page number to return (default: 1) 1 Any integer
page_size (optional) Number of results to return (default: 500, maximum: 500) 10 1, 2, 3, ... 500

Get Order Response

Attribute Type Description
order object list List of order details (Full Order Model)
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Response examples

Get Order by order id (200)
{
   "order":{
      "order_id":1020304051,
      "order_date":"2020-04-29T22:46:59.7155669Z",
      "order_number":"10001",
      "reference":"Online Order",
      "carrier":"AusPost",
      "carrier_name":"Australia Post",
      "carrier_service_code":"7B05",
      "shipping_method":"Express Shipping",
      "signature_required":false,
      "dangerous_goods":false,
      "destination":{
         "name":"John Smith",
         "phone":"0290988227",
         "street":"20 George Street",
         "suburb":"Sydney",
         "state":"NSW",
         "post_code":"2000",
         "country":"Australia",
         "delivery_instructions":"Leave at door"
      },
      "items":[
         {
            "item_id":1065580746,
            "description":"Mobile Phone",
            "sku":"MOBILE",
            "quantity":1,
            "quantity_to_ship":0,
            "weight":0.65,
            "value":125
         },
         {
            "item_id":1065580747,
            "description":"Mobile Case (Black)",
            "sku":"MOBILE-CASE-BLK",
            "quantity":1,
            "quantity_to_ship":0,
            "weight":0.05,
            "value":20
         }
      ],
      "packages":[
         {
            "package_id":1035548017,
            "weight":0.7,
            "height":0.04,
            "width":0.08,
            "length":0.12
         }
      ],
      "declared_value":0
   },
   "success":true
}
Get Order by order number (200)
{
   "order":{
      "order_id":1020304051,
      "order_date":"2020-04-29T22:46:59.7155669Z",
      "order_number":"10001",
      "reference":"Online Order",
      "carrier":"AusPost",
      "carrier_name":"Australia Post",
      "carrier_service_code":"7B05",
      "shipping_method":"Express Shipping",
      "signature_required":false,
      "dangerous_goods":false,
      "destination":{
         "name":"John Smith",
         "phone":"0290988227",
         "street":"20 George Street",
         "suburb":"Sydney",
         "state":"NSW",
         "post_code":"2000",
         "country":"Australia",
         "delivery_instructions":"Leave at door"
      },
      "items":[
         {
            "item_id":1065580746,
            "description":"Mobile Phone",
            "sku":"MOBILE",
            "quantity":1,
            "quantity_to_ship":0,
            "weight":0.65,
            "value":125
         },
         {
            "item_id":1065580747,
            "description":"Mobile Case (Black)",
            "sku":"MOBILE-CASE-BLK",
            "quantity":1,
            "quantity_to_ship":0,
            "weight":0.05,
            "value":20
         }
      ],
      "packages":[
         {
            "package_id":1035548017,
            "weight":0.7,
            "height":0.04,
            "width":0.08,
            "length":0.12
         }
      ],
      "declared_value":0
   },
   "success":true
}
Copy curlView as MarkdownCopy for LLM
Create OrderRequestResponses

Endpoint URL

https://api.starshipit.com/api/orders

Endpoint details

Create a new unshipped order

Create Order Request

Attribute Type Description
order object The order details object (Create Order Model)

Create Order Response

Attribute Type Description
order object Created orders details (Full Order Model)
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Request body

{
  "order": {
    "order_date": "",
    "order_number": "1781783617",
    "reference": "Online Order",
    "shipping_method": "Return Express Shipping",
    "signature_required": false,
    "return_order": false,
    "dangerous_goods": false,
    "shipping_freight_value": 12.5,
    "currency": "AUD",
    "sender_details": {
      "name": "Frank's Flowers",
      "email": "frank@flowers.example",
      "phone": "0215671234",
      "street": "10 Rose Street",
      "suburb": "Redfern",
      "city": "Sydney",
      "state": "NSW",
      "post_code": "2016",
      "country": "Australia",
      "tax_numbers": [
        {
          "tax_type": "australia_gst_number",
          "tax_number": "123456789"
        }
      ]
    },
    "destination": {
      "name": "Johnny Smith",
      "phone": "0290988227",
      "street": "20 George Street",
      "suburb": "Sydney",
      "state": "NSW",
      "post_code": "2000",
      "country": "Australia",
      "delivery_instructions": "Leave at door",
      "tax_numbers": [
        {
          "tax_type": "vat_registration",
          "tax_number": "GB123456789"
        }
      ]
    },
    "items": [
      {
        "description": "Mobile Phone",
        "sku": "MOBILE",
        "tariff_code": "851713",
        "country_of_origin": "AU",
        "quantity": 1,
        "weight": 0.65,
        "value": 125,
        "brand": "Acme",
        "material": "Aluminium",
        "usage": "Personal electronics",
        "mid_code": "AUSACME",
        "bin_location": "A-01",
        "barcode": "9340000000012",
        "image_url": "https://example.com/products/mobile-phone.jpg",
        "merchant_product_id": "MOBILE",
        "manufacturer_product_id": "ACME-MOBILE-001",
        "standardised_product_id": "9340000000012"
      }
    ],
    "packages": [
      {
        "name": "Small carton",
        "weight": 0.7,
        "height": 0.04,
        "width": 0.08,
        "length": 0.12,
        "packaging_type": "Carton"
      }
    ],
    "customs": {
      "incoterm": "DAP",
      "export_reason": "Sale",
      "invoice_remarks": "Handle with care",
      "invoice_text": "Commercial invoice text"
    }
  }
}

Response examples

Create Order (200)
{
  "order": {
    "order_id": 1020304051,
    "order_date": "2020-04-29T22:47:00.0593501Z",
    "order_number": "10001",
    "reference": "Online Order",
    "carrier": "AusPost",
    "carrier_name": "Australia Post",
    "carrier_service_code": "7B05",
    "shipping_method": "Express Shipping",
    "signature_required": false,
    "dangerous_goods": false,
    "destination": {
      "name": "John Smith",
      "phone": "0290988227",
      "street": "20 George Street",
      "suburb": "Sydney",
      "state": "NSW",
      "post_code": "2000",
      "country": "Australia",
      "delivery_instructions": "Leave at door"
    },
    "items": [
      {
        "item_id": 1065580746,
        "description": "Mobile Phone",
        "sku": "MOBILE",
        "quantity": 1,
        "quantity_to_ship": 0,
        "weight": 0.65,
        "value": 125
      },
      {
        "item_id": 1065580747,
        "description": "Mobile Case (Black)",
        "sku": "MOBILE-CASE-BLK",
        "quantity": 1,
        "quantity_to_ship": 0,
        "weight": 0.05,
        "value": 20
      }
    ],
    "packages": [
      {
        "package_id": 1035548017,
        "weight": 0.7,
        "height": 0.04,
        "width": 0.08,
        "length": 0.12
      }
    ],
    "declared_value": 0
  },
  "success": true
}
Create Order
Copy curlView as MarkdownCopy for LLM
Create OrdersRequestResponses

Endpoint URL

https://api.starshipit.com/api/orders/import

Endpoint details

Create new unshipped orders (Maximum orders per API request: 50)

Create Orders Request

Attribute Type Description
orders object list List of orders details (Create Order Model)

Create Orders Response

Attribute Type Description
orders object list List of created orders details (Full Order Model)
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Request body

{
  "orders": [
    {
      "order_date": "2020-04-29T22:47:00.699943Z",
      "order_number": "10001",
      "reference": "Online Order",
      "shipping_method": "Express Shipping",
      "signature_required": false,
      "destination": {
        "name": "Johnny Smith",
        "phone": "0290988227",
        "street": "20 George Street",
        "suburb": "Sydney",
        "state": "NSW",
        "post_code": "2000",
        "country": "Australia",
        "delivery_instructions": "Leave at door"
      },
      "items": [
        {
          "description": "Mobile Phone",
          "sku": "MOBILE",
          "quantity": 1,
          "weight": 0.65,
          "value": 125,
          "merchant_product_id": "MOBILE",
          "manufacturer_product_id": "ACME-MOBILE-001",
          "standardised_product_id": "9340000000012"
        },
        {
          "description": "Mobile Case (Black)",
          "sku": "MOBILE-CASE-BLK",
          "quantity": 1,
          "weight": 0.05,
          "value": 20
        }
      ]
    },
    {
      "order_date": "2020-04-29T22:47:00.699943Z",
      "order_number": "10002",
      "reference": "Online Order",
      "shipping_method": "International Shipping",
      "signature_required": true,
      "destination": {
        "name": "Robert Johnson",
        "phone": "099734100",
        "street": "10 Federal Street",
        "suburb": "Auckland Central",
        "city": "Auckland",
        "state": "Auckland",
        "post_code": "1010",
        "country": "New Zealand",
        "delivery_instructions": "See the receptionist"
      },
      "items": [
        {
          "description": "Mobile Case (Blue)",
          "sku": "MOBILE-CASE-BLU",
          "quantity": 5,
          "weight": 0.05,
          "value": 20,
          "merchant_product_id": "MOBILE",
          "manufacturer_product_id": "ACME-MOBILE-001",
          "standardised_product_id": "9340000000012"
        }
      ]
    }
  ]
}

Response examples

Create Orders
{
  "orders": [
    {
      "order_id": 1020304051,
      "order_date": "2020-04-29T22:47:00.699943Z",
      "order_number": "10001",
      "reference": "Online Order",
      "carrier": "AusPost",
      "carrier_name": "Australia Post",
      "carrier_service_code": "7B05",
      "shipping_method": "Express Shipping",
      "signature_required": false,
      "dangerous_goods": false,
      "destination": {
        "name": "John Smith",
        "phone": "0290988227",
        "street": "20 George Street",
        "suburb": "Sydney",
        "state": "NSW",
        "post_code": "2000",
        "country": "Australia",
        "delivery_instructions": "Leave at door"
      },
      "items": [
        {
          "item_id": 1065580746,
          "description": "Mobile Phone",
          "sku": "MOBILE",
          "quantity": 1,
          "quantity_to_ship": 0,
          "weight": 0.65,
          "value": 125
        },
        {
          "item_id": 1065580747,
          "description": "Mobile Case (Black)",
          "sku": "MOBILE-CASE-BLK",
          "quantity": 1,
          "quantity_to_ship": 0,
          "weight": 0.05,
          "value": 20
        }
      ],
      "packages": [
        {
          "package_id": 1035548017,
          "weight": 0.7,
          "height": 0.04,
          "width": 0.08,
          "length": 0.12
        }
      ],
      "declared_value": 0
    },
    {
      "order_id": 1020304052,
      "order_date": "2020-04-29T22:47:00.699943Z",
      "order_number": "10002",
      "reference": "Online Order",
      "carrier": "AusPost",
      "carrier_name": "Australia Post",
      "carrier_service_code": "ECM8",
      "shipping_method": "International Shipping",
      "signature_required": true,
      "dangerous_goods": false,
      "destination": {
        "name": "Robert Johnson",
        "phone": "099734100",
        "street": "10 Federal Street",
        "suburb": "Auckland Central",
        "city": "Auckland",
        "state": "Auckland",
        "post_code": "1010",
        "country": "New Zealand",
        "delivery_instructions": "See the receptionist"
      },
      "items": [
        {
          "item_id": 1065580748,
          "description": "Mobile Case (Blue)",
          "sku": "MOBILE-CASE-BLU",
          "quantity": 5,
          "quantity_to_ship": 0,
          "weight": 0.05,
          "value": 20
        }
      ],
      "packages": [
        {
          "package_id": 1035548018,
          "weight": 0.25,
          "height": 0.04,
          "width": 0.2,
          "length": 0.15
        }
      ],
      "declared_value": 0
    }
  ],
  "success": true
}
Copy curlView as MarkdownCopy for LLM
Update OrderRequestResponses

Endpoint URL

https://api.starshipit.com/api/orders

Endpoint details

You can use the Update Order API to update order information. Different fields are available depending on the state of the order (i.e. once you have generated a label there is limited ability to modify the shipment details as they must be retained).

For new/unshipped orders you can update all non read-only fields in the model: Update Order Model

For printed & shipped orders you can update:

  • Status (you can not update back to unshipped once printed)

Update Order Request

Attribute Type Description
order object The order details object (Update Order Model)

Update Order Response

Attribute Type Description
order object Updated orders details (Full Order Model)
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Request body

{
  "order": {
    "order_id": 488123472,
    "order_number": "1731273098",
    "reference": "Online Order",
    "carrier": "AusPost",
    "carrier_service_code": "7B05",
    "carrier_service_name": "Express Post",
    "shipping_method": "Express Shipping",
    "signature_required": false,
    "note": "Add gift card before packing",
    "destination": {
      "name": "John Smith",
      "phone": "0290988227",
      "street": "20 George Street",
      "suburb": "Sydney",
      "state": "NSW",
      "post_code": "2000",
      "country": "Australia",
      "delivery_instructions": "Leave at door",
      "tax_numbers": [
        {
          "tax_type": "vat_registration",
          "tax_number": "GB123456789"
        }
      ]
    },
    "billing": {
      "name": "Jane Smith",
      "company": "Smith Tools",
      "street": "44 Billing Road",
      "suburb": "Sydney",
      "state": "NSW",
      "post_code": "2000",
      "country": "Australia",
      "tax_numbers": [
        {
          "tax_type": "australia_gst_number",
          "tax_number": "123456789"
        }
      ]
    },
    "items": [
      {
        "item_id": 1065580746,
        "description": "Mobile Phone",
        "sku": "MOBILE",
        "quantity": 1,
        "quantity_to_ship": 1,
        "weight": 0.65,
        "value": 125,
        "brand": "Acme",
        "material": "Aluminium",
        "usage": "Personal electronics",
        "mid_code": "AUSACME",
        "bin_location": "A-01",
        "barcode": "9340000000012",
        "image_url": "https://example.com/products/mobile-phone.jpg",
        "merchant_product_id": "MOBILE",
        "manufacturer_product_id": "ACME-MOBILE-001",
        "standardised_product_id": "9340000000012"
      }
    ],
    "packages": [
      {
        "package_id": 1035548017,
        "name": "Small carton",
        "weight": 0.7,
        "height": 0.04,
        "width": 0.08,
        "length": 0.12,
        "packaging_type": "Carton",
        "tracking_number": "ABC123456789",
        "sscc": "000123456789012345",
        "description": "Phone and accessories"
      }
    ],
    "customs": {
      "incoterm": "DAP",
      "export_reason": "Sale",
      "invoice_remarks": "Handle with care"
    },
    "metadatas": [
      {
        "metafield_key": "packing_note",
        "value": "Gift wrap",
        "required": false
      }
    ]
  }
}

Response examples

Update Order (200)
{
  "order": {
    "order_id": 1020304051,
    "order_date": "2020-11-03T01:39:02.0690092Z",
    "order_number": "10001",
    "reference": "Online Order",
    "carrier": "AusPost",
    "carrier_name": "Australia Post",
    "carrier_service_code": "7B05",
    "shipping_method": "Express Shipping",
    "signature_required": false,
    "dangerous_goods": false,
    "destination": {
      "name": "John Smith",
      "phone": "0290988227",
      "street": "20 George Street",
      "suburb": "Sydney",
      "state": "NSW",
      "post_code": "2000",
      "country": "Australia",
      "delivery_instructions": "Leave at door"
    },
    "items": [
      {
        "item_id": 1065580746,
        "description": "Mobile Phone",
        "sku": "MOBILE",
        "quantity": 1,
        "quantity_to_ship": 0,
        "weight": 0.65,
        "value": 125
      },
      {
        "item_id": 1065580747,
        "description": "Mobile Case (Black)",
        "sku": "MOBILE-CASE-BLK",
        "quantity": 1,
        "quantity_to_ship": 0,
        "weight": 0.05,
        "value": 20
      }
    ],
    "packages": [
      {
        "package_id": 1035548017,
        "weight": 0.7,
        "height": 0.04,
        "width": 0.08,
        "length": 0.1
      }
    ],
    "declared_value": 0,
    "archived": false,
    "manifest_number": 0,
    "address_validation": "NotChecked",
    "create_return": false,
    "dtp": false,
    "add_insurance": false,
    "insurance_value": 0,
    "plt": false,
    "type": "Outgoing",
    "platform": "MoneyWorks",
    "status": "Unshipped"
  },
  "success": true
}
Copy curlView as MarkdownCopy for LLM
Update OrdersRequestResponses

Endpoint URL

https://api.starshipit.com/api/orders/update

Endpoint details

You can use the Update Orders API to update order information. Different fields are available depending on the state of the order (i.e. once you have generated a label there is limited ability to modify the shipment details as they must be retained).

For new/unshipped orders you can update all non read-only fields in the model: Update Order Model

For printed & shipped orders you can update:

  • Status (you cannot update back to new/unshipped once printed)

Update Orders Request

Attribute Type Description
orders object list List of orders details (Update Order Model)

Update Orders Response

Attribute Type Description
orders object list List of updated orders details (Full Order Model)
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Request body

[
  {
    "order": {
      "order_id": 1020304051,
      "order_date": "2020-11-03T01:39:03.0533776Z",
      "order_number": "10001",
      "reference": "Online Order",
      "carrier": "AusPost",
      "carrier_service_code": "7B05",
      "shipping_method": "Express Shipping",
      "signature_required": false,
      "destination": {
        "name": "John Smith",
        "phone": "0290988227",
        "street": "20 George Street",
        "suburb": "Sydney",
        "state": "NSW",
        "post_code": "2000",
        "country": "Australia",
        "delivery_instructions": "Leave at door"
      },
      "items": [
        {
          "item_id": 1065580746,
          "description": "Mobile Phone",
          "sku": "MOBILE",
          "quantity": 1,
          "weight": 0.65,
          "value": 125,
          "merchant_product_id": "MOBILE",
          "manufacturer_product_id": "ACME-MOBILE-001",
          "standardised_product_id": "9340000000012"
        },
        {
          "item_id": 1065580747,
          "description": "Mobile Case (Black)",
          "sku": "MOBILE-CASE-BLK",
          "quantity": 1,
          "weight": 0.05,
          "value": 20
        }
      ],
      "packages": [
        {
          "package_id": 1035548017,
          "weight": 0.7,
          "height": 0.04,
          "width": 0.08,
          "length": 0.12
        }
      ]
    }
  }
]

Response examples

Update Orders (200)
[
  {
    "order": {
      "order_id": 1020304051,
      "order_date": "2020-11-03T01:39:03.0690271Z",
      "order_number": "10001",
      "reference": "Online Order",
      "carrier": "AusPost",
      "carrier_name": "Australia Post",
      "carrier_service_code": "7B05",
      "shipping_method": "Express Shipping",
      "signature_required": false,
      "dangerous_goods": false,
      "destination": {
        "name": "John Smith",
        "phone": "0290988227",
        "street": "20 George Street",
        "suburb": "Sydney",
        "state": "NSW",
        "post_code": "2000",
        "country": "Australia",
        "delivery_instructions": "Leave at door"
      },
      "items": [
        {
          "item_id": 1065580746,
          "description": "Mobile Phone",
          "sku": "MOBILE",
          "quantity": 1,
          "quantity_to_ship": 0,
          "weight": 0.65,
          "value": 125
        },
        {
          "item_id": 1065580747,
          "description": "Mobile Case (Black)",
          "sku": "MOBILE-CASE-BLK",
          "quantity": 1,
          "quantity_to_ship": 0,
          "weight": 0.05,
          "value": 20
        }
      ],
      "packages": [
        {
          "package_id": 1035548017,
          "weight": 0.7,
          "height": 0.04,
          "width": 0.08,
          "length": 0.1
        }
      ],
      "declared_value": 0,
      "archived": false,
      "manifest_number": 0,
      "address_validation": "NotChecked",
      "create_return": false,
      "dtp": false,
      "add_insurance": false,
      "insurance_value": 0,
      "plt": false,
      "type": "Outgoing",
      "platform": "MoneyWorks",
      "status": "Unshipped"
    },
    "success": true
  }
]
Copy curlView as MarkdownCopy for LLM
Batch Update OrdersRequestResponses

Endpoint URL

https://api.starshipit.com/api/orders/batchupdate

Endpoint details

You can use the batch update order api to update the carrier information on a list of unshipped orders. You can update:

  • Product Code
  • Carrier Id

Batch Update Orders Request

Attribute Type Description
order_ids integer list List of order_id to be updated
product_code string Carrier service code for delivery
carrier_id string The id of the carrier that is used in the order

Batch Update Orders Response

Attribute Type Description
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Request body

{
    "order_ids": [
        128306022
    ],
    "product_code": "7B05",
    "carrier_id": "10"    
}

Response examples

Batch Update Orders (200)
{
    "success": true
}
Copy curlView as MarkdownCopy for LLM
Delete OrderResponses
ExamplesResponse

Endpoint URL

https://api.starshipit.com/api/orders/delete

Endpoint details

Delete an unshipped order

Delete Order Request

Attribute Type Description
order_id integer The unique numeric identifier for the order

Delete Order Response

Attribute Type Description
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Response examples

Delete Order (200)
{
  "success": true
}
Copy curlView as MarkdownCopy for LLM
Archive OrderResponses

Endpoint URL

https://api.starshipit.com/api/orders/archive?order_id=121330827

Endpoint details

Archive a printed/shipped order

Request format: Send order_id as a required query-string parameter in the URL. Keep the POST body empty (zero length); do not send a JSON body.

Archive Order Request

Attribute Type Description
order_id integer The unique numeric identifier for the order

Archive Order Response

Attribute Type Description
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Query parameters

NameExampleDescription
order_id121330827Required order identifier. Send this value in the URL query string.

Response examples

Archive Order (200)
{
  "success": true
}
Copy curlView as MarkdownCopy for LLM
Restore OrderResponses

Endpoint URL

https://api.starshipit.com/api/orders/restore?order_id=121330827

Endpoint details

Restore an archived order

Request format: Send order_id as a required query-string parameter in the URL. Keep the POST body empty (zero length); do not send a JSON body.

Restore Order Request

Attribute Type Description
order_id integer The unique numeric identifier for the order

Restore Order Response

Attribute Type Description
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Query parameters

NameExampleDescription
order_id121330827Required order identifier. Send this value in the URL query string.

Response examples

Restore Order (200)
{
  "success": true
}
Copy curlView as MarkdownCopy for LLM
Merge OrdersRequestResponses

Endpoint URL

https://api.starshipit.com/api/orders/merge

Endpoint details

Merger multiple unshipped orders to an unshipped orders

Merge Orders Request

Attribute Type Description
parent_order_id integer The order_id of the unshipped order for the child orders to merge under
child_order_ids integer list List of order_id to merge into the parent unshipped order

Merge Orders Response

Attribute Type Description
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Request body

{
  "parent_order_id": 121330827,
  "child_order_ids": [
    121330828
  ]
}

Response examples

Merge Orders (200)
{
  "success": true
}
Copy curlView as MarkdownCopy for LLM
ExamplesResponse

Endpoint URL

https://api.starshipit.com/api/orders/mergeable

Endpoint details

Get a list of unshipped orders where there are multiple orders going to the same person at the same address.

Mergeable Orders Type

Parameter Type Description
primary_order_id number The Starshipit order_id of the potential 'master' order
orders object list A list of all mergable orders, including the 'master' order

Merge Orders Request

Parameter Type Description
limit number (default: 50, min: 1, max: 250)
page number default: 1

Merge Orders Response

Attribute Type Description
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)
orders object list List of mergeable orders type

Response examples

Get Suggested Merges (200)
{
    "orders": [
        {
            "primary_order_id": 440931582,
            "orders": [
                {
                    "order_id": 440931582,
                    "order_number": "858",
                    "order_date": "2024-07-01T05:10:34.4730965",
                    "street": "3623 Altona 11",
                    "suburb": "",
                    "city": "Saint Thomas",
                    "postcode": "00802",
                    "state": "",
                    "country": "Virgin Islands, U.S.",
                    "contact": "Test Virgin Islands, U.S."
                },
                {
                    "order_id": 440932662,
                    "order_number": "859",
                    "order_date": "2024-07-01T05:12:34.4730965",
                    "street": "3623 Altona 11",
                    "suburb": "",
                    "city": "Saint Thomas",
                    "postcode": "00802",
                    "state": "",
                    "country": "Virgin Islands, U.S.",
                    "contact": "Test Virgin Islands, U.S."
                }
            ]
        }
    ],
    "total": 1,
    "total_pages": 1,
    "success": true
}
Copy curlView as MarkdownCopy for LLM
Assign OrdersRequestResponses

Endpoint URL

https://api.starshipit.com/api/orders/assign

Endpoint details

Assign unshipped orders by order_id or order_number from one account to another

Assign Orders Request

Attribute Type Description
orders object list List of order assignments (Assign Order Model)

Assign Orders - Order Model

Attribute Type Description
order_id integer The unique numeric identifier for the order
order_number string The identifier of the order pulled from source e-Commerce platform
current_api_key string The api key of the account that the order currently resides in
new_api_key string The api key of the account that you wish to assign the order to

Assign Orders Response

Attribute Type Description
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Request body

{
  "orders": [
    {
      "order_id": 121330827,
      "current_api_key": "CURRENT_API_KEY",
      "new_api_key": "NEW_API_KEY"
    }
  ]
}

Response examples

Assign Orders by order_number (200)
{
  "success": true
}
Assign Orders by order_id (200)
{
  "success": true
}

Shipments

Print labels, batch labels, clone shipments, replace shipments, and work with shipment documents.

7 endpoints shown

Copy curlView as MarkdownCopy for LLM
Print LabelRequestResponses

Endpoint URL

https://api.starshipit.com/api/orders/shipment

Endpoint details

Print a shipping label for a given order. The labels field returned in the response is a base64 encoded string that you can simply use to decode and save the output as a PDF file.

Print Label Request

Attribute Type Description
order_id (optional) integer The unique numeric identifier for the order
order_number (optional) string The identifier of the order pulled from source e-Commerce platform
carrier string The carrier that will be used when creating shipment
carrier_service_code string Carrier service code for delivery
packages object list Package list containing the parcel details (Package Model)
reprint boolean Returns labels previously generated for the printed order

Print Label - Package Model

Attribute Type Description
weight (optional) double Physical weight of the parcel in kilograms (kg)
height (optional) decimal Height of the parcel in meters (m)
width (optional) decimal Width of the parcel in meters (m)
length (optional) decimal Length of the parcel in meters (m)
packaging_type string Example valid values: Carton, Box, Envelope, Item, Jiffy, Pallet, Satchel, Skid or Bag.
tracking_number string Carrier tracking number

Print Label Response

Attribute Type Description
order_id integer The unique numeric identifier for the order
order_number string The identifier of the order pulled from source e-Commerce platform
carrier_name string Name of the carrier used for shipment delivery
tracking_numbers string list List of tracking numbers
labels string list List of base64 string which can be converted to PDF files for printing
label_types string list List of label type codes which will match the label in order
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Request body

{
  "order_id": 430614764,
  "carrier": "DHL",
  "carrier_service_code": "DOM",
  "packages": [
    {
      "weight": 0.7,
      "height": 0.04,
      "width": 0.08,
      "length": 0.1
    }
  ],
  "reprint": false
}

Response examples

Print Label (200)
{
  "application/json": {
    "order_id": 121330827,
    "order_number": "10001",
    "carrier_name": "CourierPost",
    "tracking_numbers": [
      "QQQ001156301000960302"
    ],
    "labels": [
      "JVBERi0xLjQKJeLjz9M .......... lwZS9JbWFnZS9Xa"
    ],
    "label_types": [
      "CourierPost"
    ],
    "success": true
  }
}
Copy curlView as MarkdownCopy for LLM
Print LabelsRequestResponses

Endpoint URL

https://api.starshipit.com/api/orders/shipments

Endpoint details

Print shipping labels for given orders. The labels field returned in the response is a base64 encoded string that you can simply use to decode and save the output as a PDF file.

Print Labels Request

Attribute Type Description
order_ids integer list List of unique numeric identifier for the order
reprint boolean Returns labels previously generated for the printed order

Print Labels Response

Attribute Type Description
labels object list List of label files printed (Label Model)
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Print Labels - Label Model

Attribute Type Description
label_type string Type of label name
label_base64_string string base64 string which can be converted to PDF files for printing

Request body

{
  "order_ids": [
    1020304051,
    1020324318,
    1020356475,
    1020363915,
    1020365786
  ],
  "reprint": false
}

Response examples

Print Labels
{
  "labels": [
    {
      "label_type": "AusPost",
      "label_base64_string": "JVBERi0xLjQKJeLjz9M .......... lwZS9JbWFnZS9Xa"
    }
  ],
  "success": true
}
Copy curlView as MarkdownCopy for LLM
Print Packing SlipsRequestResponses

Endpoint URL

https://api.starshipit.com/api/orders/packingslips

Endpoint details

Create packing slips for single or multiple orders, or create packing summary to easily identity the quantities of each SKU to pick for all orders.

Print Packing Slips Request

Attribute Type Description
order_ids integer list List of order_ids to print packing slips for
summary boolean (nullable) Set to true to generate packing summary

Print Packing Slips Response

Attribute Type Description
label_type string Type of label name
pdf string base64 string which can be converted to a PDF file for printing
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Request body

{
  "order_ids": [
    1020304051,
    1020324318,
    1020356475,
    1020363915,
    1020365786
  ]
}

Response examples

Print Packing Slips
{
    "label_type": "PackingSlip",
    "pdf": "JVBERi0xLjQKJeLjz9M .......... lwZS9JbWFnZS9Xa",
    "success": true
}
Copy curlView as MarkdownCopy for LLM
Manifest OrdersRequestResponses

Endpoint URL

https://api.starshipit.com/api/orders/manifest

Endpoint details

Finalise and manifest your printed orders. Manifesting will send the order details to your courier service for billing.

Manifest Orders Request

Attribute Type Description
order_ids integer list List of printed order_ids to manifest

Manifest Orders Response

Attribute Type Description
label_type string Type of label name
pdf string Base64 string which can be converted to the PDF files for printing
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Request body

{
  "order_ids": [
    121330827
  ]
}

Response examples

Manifest Orders (200)
{
  "label_type": "ManifestReport",
  "pdf": "JVBERi0xLjQKJeLjz9M .......... lwZS9JbWFnZS9Xa",
  "success": true
}

Copy curlView as MarkdownCopy for LLM
Clone ShipmentRequestResponses

Endpoint URL

https://api.starshipit.com/api/orders/shipment/clone

Endpoint details

Clone a printed or shipped order

Clone Shipment Request

Attribute Type Description
order_id integer The shipped or printed order_id to clone
to_return_shipment (optional) boolean Determines whether the clone for a return order

Clone Shipment Response

Attribute Type Description
order object The details of the cloned order (Full Order Model)
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Request body

{
  "order_id": 128327582,
  "to_return_shipment": null
}

Response examples

Clone Shipment (200)
{
    "order": {
        "order_id": 128429053,
        "order_date": "2020-11-09T21:19:53.1975911",
        "order_number": "1604956792",
        "reference": "Online Order",
        "carrier": "DHL",
        "carrier_name": "DHL Express",
        "carrier_service_code": "WPX",
        "shipping_method": "Express Shipping",
        "signature_required": true,
        "dangerous_goods": false,
        "currency": "NZD",
        "sender_details": {
            "name": "Aluth",
            "email": "chinthaka.samarasinghe@starshipit.com",
            "phone": "023343433",
            "building": "Federal Building",
            "company": "Startshipit",
            "street": "23 Batman St",
            "suburb": "West Melbourne",
            "city": "Melbourne",
            "state": "VIC",
            "post_code": "3003",
            "country": "Australia"
        },
        "destination": {
            "name": "Sue Collier",
            "email": "Evangeline14@yahoo.com",
            "phone": "0290988227",
            "building": "HBO Building",
            "company": "Wolff - Wintheiser",
            "street": "45 Remuera Road",
            "suburb": "Remuera",
            "city": "Auckland",
            "state": "",
            "post_code": "1050",
            "country": "New Zealand",
            "delivery_instructions": ""
        },
        "items": [
            {
                "item_id": 626375861,
                "description": "Mobile Phone",
                "sku": "MOBILE",
                "country_of_origin": "New Zealand",
                "quantity": 1,
                "quantity_to_ship": 1,
                "weight": 0.65,
                "value": 125.0
            },
            {
                "item_id": 626375862,
                "description": "Mobile Case (Black)",
                "sku": "MOBILE-CASE-BLK",
                "country_of_origin": "New Zealand",
                "quantity": 1,
                "quantity_to_ship": 1,
                "weight": 0.05,
                "value": 20.0
            }
        ],
        "packages": [
            {
                "package_id": 145721064,
                "name": "Package",
                "weight": 0.7,
                "height": 0.04,
                "width": 0.08,
                "length": 0.10,
                "packaging_type": "",
                "carrier_service_code": "WPX",
                "tracking_number": "",
                "tracking_url": "http://www.dhl.com/cgi-bin/tracking.pl?AWB=",
                "delivery_status": "",
                "shipment_type": "Outgoing",
                "contents": "Shirt Blue L"
            },
            {
                "package_id": 145721065,
                "name": "Package",
                "weight": 0.7,
                "height": 0.04,
                "width": 0.08,
                "length": 0.10,
                "packaging_type": "",
                "carrier_service_code": "WPX",
                "tracking_number": "",
                "tracking_url": "http://www.dhl.com/cgi-bin/tracking.pl?AWB=",
                "delivery_status": "",
                "shipment_type": "Return",
                "contents": "Shirt Blue L"
            }
        ],
        "metadatas": [
            {
                "metafield_key": "ADDRESSVALIDATED",
                "value": "True"
            },
            {
                "metafield_key": "SOURCE",
                "value": "API"
            },
            {
                "metafield_key": "DTP",
                "value": "False"
            },
            {
                "metafield_key": "INSURANCE",
                "value": "False"
            },
            {
                "metafield_key": "INSURANCEVALUE",
                "value": "0.00"
            },
            {
                "metafield_key": "SIGNATURE",
                "value": "True"
            },
            {
                "metafield_key": "ATL",
                "value": "False"
            },
            {
                "metafield_key": "BATTERY",
                "value": "False"
            },
            {
                "metafield_key": "SATURDAY",
                "value": "False"
            }
        ],
        "events": [
            {
                "time": "2020-11-09T21:23:09.8847616",
                "category": "General",
                "method": "Order saved.",
                "description": "Modified"
            },
            {
                "time": "2020-11-09T21:23:09.9472611",
                "category": "General",
                "method": "Add Shipment",
                "description": "This is a clone of the order 128427912."
            }
        ],
        "declared_value": 145.00,
        "archived": false,
        "manifest_number": 0,
        "address_validation": "Valid",
        "create_return": true,
        "dtp": false,
        "export_type": "",
        "add_insurance": false,
        "insurance_value": 0.00,
        "plt": false,
        "type": "Outgoing",
        "platform": "API",
        "status": "Saved",
        "manifested": false
    },
    "success": true
}
Copy curlView as MarkdownCopy for LLM
Replace ShipmentRequestResponses

Endpoint URL

https://api.starshipit.com/api/orders/shipment/replace

Endpoint details

Redo a printed or shipped order

Replace Shipment Request

Attribute Type Description
order_id integer The shipped or printed order id to redo

Replace Shipment Response

Attribute Type Description
order object The details of the replaced order (Full Order Model)
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Request body

{
  "order_id": 128433983
}

Response examples

Replace Shipment (200)
{
    "order": {
        "order_id": 128434172,
        "order_date": "2020-11-09T21:41:25.5840613",
        "order_number": "1604958085",
        "reference": "Online Order",
        "carrier": "DHL",
        "carrier_name": "DHL Express",
        "carrier_service_code": "WPX",
        "shipping_method": "Express Shipping",
        "signature_required": true,
        "dangerous_goods": false,
        "currency": "NZD",
        "sender_details": {
            "name": "Aluth",
            "email": "chinthaka.samarasinghe@starshipit.com",
            "phone": "023343433",
            "building": "Federal Building",
            "company": "Startshipit",
            "street": "23 Batman St",
            "suburb": "West Melbourne",
            "city": "Melbourne",
            "state": "VIC",
            "post_code": "3003",
            "country": "Australia"
        },
        "destination": {
            "name": "Felicia Beatty",
            "email": "Amiya_Mertz63@hotmail.com",
            "phone": "0290988227",
            "building": "HBO Building",
            "company": "Stiedemann and Sons",
            "street": "45 Remuera Road",
            "suburb": "Remuera",
            "city": "Auckland",
            "state": "",
            "post_code": "1050",
            "country": "New Zealand",
            "delivery_instructions": ""
        },
        "items": [
            {
                "item_id": 626385770,
                "description": "Mobile Phone",
                "sku": "MOBILE",
                "country_of_origin": "New Zealand",
                "quantity": 1,
                "quantity_to_ship": 1,
                "weight": 0.65,
                "value": 125.0
            },
            {
                "item_id": 626385771,
                "description": "Mobile Case (Black)",
                "sku": "MOBILE-CASE-BLK",
                "country_of_origin": "New Zealand",
                "quantity": 1,
                "quantity_to_ship": 1,
                "weight": 0.05,
                "value": 20.0
            }
        ],
        "packages": [
            {
                "package_id": 145727005,
                "name": "Package",
                "weight": 0.7,
                "height": 0.04,
                "width": 0.08,
                "length": 0.10,
                "packaging_type": "",
                "carrier_service_code": "WPX",
                "tracking_number": "",
                "tracking_url": "http://www.dhl.com/cgi-bin/tracking.pl?AWB=",
                "delivery_status": "",
                "shipment_type": "Outgoing",
                "contents": "Shirt Blue L"
            },
            {
                "package_id": 145727006,
                "name": "Package",
                "weight": 0.7,
                "height": 0.04,
                "width": 0.08,
                "length": 0.10,
                "packaging_type": "",
                "carrier_service_code": "WPX",
                "tracking_number": "",
                "tracking_url": "http://www.dhl.com/cgi-bin/tracking.pl?AWB=",
                "delivery_status": "",
                "shipment_type": "Return",
                "contents": "Shirt Blue L"
            }
        ],
        "metadatas": [
            {
                "metafield_key": "ADDRESSVALIDATED",
                "value": "True"
            },
            {
                "metafield_key": "SOURCE",
                "value": "API"
            },
            {
                "metafield_key": "DTP",
                "value": "False"
            },
            {
                "metafield_key": "INSURANCE",
                "value": "False"
            },
            {
                "metafield_key": "INSURANCEVALUE",
                "value": "0.00"
            },
            {
                "metafield_key": "SIGNATURE",
                "value": "True"
            },
            {
                "metafield_key": "ATL",
                "value": "False"
            },
            {
                "metafield_key": "BATTERY",
                "value": "False"
            },
            {
                "metafield_key": "SATURDAY",
                "value": "False"
            }
        ],
        "events": [
            {
                "time": "2020-11-09T21:42:36.4850816",
                "category": "General",
                "method": "Order saved.",
                "description": "Modified"
            },
            {
                "time": "2020-11-09T21:42:36.5007076",
                "category": "General",
                "method": "Redo Shipment",
                "description": "This order has been created from 128433983 which is now archived."
            }
        ],
        "declared_value": 145.00,
        "archived": false,
        "manifest_number": 0,
        "address_validation": "Valid",
        "create_return": true,
        "dtp": false,
        "export_type": "",
        "add_insurance": false,
        "insurance_value": 0.00,
        "plt": false,
        "type": "Outgoing",
        "platform": "API",
        "status": "Saved",
        "manifested": false
    },
    "success": true
}
Copy curlView as MarkdownCopy for LLM

Endpoint URL

https://api.starshipit.com/api/orders/commercialinvoices

Request body

{
  "order_ids": [
    1020304051,
    1020304052
  ]
}

Response examples

Create Commercial Invoices (200)
{
  "invoiceList": [
    {
      "order_id": 1020304051,
      "order_name": "10001",
      "invoice_base64_string": "JVBERi0x...",
      "invoice_type": "PDF"
    }
  ],
  "success": true
}

Tracking

Retrieve tracking details and delivery updates for shipped orders.

2 endpoints shown

Copy curlView as MarkdownCopy for LLM
TrackingResponses

Endpoint URL

https://api.starshipit.com/api/track

Endpoint details

Get tracking details using a tracking number

Request Parameters

Parameter Type Description
tracking_number (optional) string Tracking number used in the shipment
order_number (optional) string The identifier of the order pulled from source e-Commerce platform

Tracking Response

Attribute Type Description
results object list List of tracking details of the shipped orders Tracking Details Model below.
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors

Tracking - Tracking Details Model

Attribute Type Description
order_number string The identifier of the order pulled from source e-Commerce platform
order_status string The status of the order (e.g. Unshipped, Awaiting Dispatch, Dispatched and Delivered)
carrier_name string Name of the carrier used for shipment delivery
carrier_service string Carrier product service used for shipment delivery
tracking_number string Carrier tracking number
tracking_url string Carrier tracking URL
shipment_date string The date when shipment was picked up
tracking_status string Last tracking status from the carrier
last_updated_date string Last tracking updated date from the carrier
tracking_events string List of detailed tracking event from the carrier Tracking Event Model

Tracking - Tracking Events Model

Attribute Type Description
event_datetime date-time Date and time of the carrier scan or event
status string Status of the event
details string Description of the event

Response examples

Tracking by tracking number (200)
{
    "results": {
        "order_number": "C12346",
        "order_status": "In transit",
        "carrier_name": "Australia Post",
        "carrier_service": "7B05",
        "tracking_number": "2XD198209601000935102",
        "tracking_url": "https://auspost.com.au/mypost/track/details/2XD198209601000935102",
        "shipment_date": "2024-04-17T12:52:05.4168979",
        "tracking_status": "Printed",
        "last_updated_date": "2024-04-17T13:20:18",
        "tracking_events": [
            {
                "event_datetime": "2024-04-17T12:50:07",
                "status": "Printed",
                "details": "Shipping information received by Australia Post"
            },
            {
                "event_datetime": "2024-04-17T13:20:18",
                "status": "Printed",
                "details": "Shipping information approved by Australia Post"
            }
        ]
    },
    "success": true
}
Tracking by order number (200)
{
    "results": {
        "order_number": "C12346",
        "order_status": "In transit",
        "carrier_name": "Australia Post",
        "carrier_service": "7B05",
        "tracking_number": "2XD198209601000935102",
        "tracking_url": "https://auspost.com.au/mypost/track/details/2XD198209601000935102",
        "shipment_date": "2024-04-17T12:52:05.4168979",
        "tracking_status": "Printed",
        "last_updated_date": "2024-04-17T13:20:18",
        "tracking_events": [
            {
                "event_datetime": "2024-04-17T12:50:07",
                "status": "Printed",
                "details": "Shipping information received by Australia Post"
            },
            {
                "event_datetime": "2024-04-17T13:20:18",
                "status": "Printed",
                "details": "Shipping information approved by Australia Post"
            }
        ]
    },
    "success": true
}
Copy curlView as MarkdownCopy for LLM
WebhooksRequest
ExamplesRequest body

Endpoint URL

https://www.your-store.com/callback/

Endpoint details

What is a webhook?

Webhooks (callbacks) are event driven executions of code to send data from one application to another. For example, a webhook is a push notification from an email server sent to your phone.

How it works

Starshipit can send webhook requests when we receive tracking updates from your couriers for your orders. You can specify a notification endpoint URL were Starshipit will send these requests.

Use the notification endpoint URL to receive our webhook data and trigger a certain event in your own application. For example, send an order update email to your customer or update the order status in your database when ‘OutForDelivery’ tracking status is received.

The notification endpoint URL needs to be built to accept the POST request that returns HTTP 200 OK response and the URL can be set in Settings > Customer Notifications.

Webhook JSON data definitions

Attribute Type Description
order_number string The identifier of the order pulled from source eCommerce platform.
carrier_name string Name of the courier used for shipment delivery.
carrier_service string Courier product service used for shipment delivery.
shipment_date datetime The date when the label was generated for the shipment.
tracking_number string Courier tracking number.
tracking_status string Last tracking status from the courier.
last_updated_date datetime Last tracking updated date from the courier.

Tracking Statuses

  • Printed
  • Dispatched
  • InTransit
  • OutForDelivery
  • Delivered
  • PickupInStore
  • AttemptedDelivery
  • Exception
  • AwaitingCollection
  • Cancelled

Request body

{
    "order_number": "5567476",
    "carrier_name": "Australia Post",
    "carrier_service": "7B05",
    "shipment_date": "2018-08-09T02:55:37.1446912Z",
    "tracking_number": "QQQ001737901000931501",
    "tracking_status": "Dispatched",
    "last_updated_date": "2018-08-09T02:56:07.3453198Z"
}

Tracking Only Orders

Register externally generated tracking against Starshipit orders.

1 endpoints shown

Copy curlView as MarkdownCopy for LLM

Endpoint URL

https://api.starshipit.com/api/orders/shipped

Endpoint details

This POST request is used to create tracking only orders. It expects a payload containing an array of orders with their respective details such as name, order number, carrier, and tracking number.

Request Body

The request body should be in raw format and contain a JSON object with an array of orders. Each order should have the following parameters:

Attribute Type Description
name (optional) String The name of the customer
order_number (optional) String Reference number for the order
carrier enum CarrierName The enum of the carrier this order was shipped with
tracking_number string The tracking number for the shipment
country (optional) string The country name. If provided, will be used for calculating machine learning ETD
postcode (optional) string The destination postcode. If provided, will be used for calculating machine learning ETD
carrier_service_code (optional) string If passed through, this will be used for calculating Machine Learning ETDs

Response

Upon successful processing of the request, the API responds with a JSON object containing all orders that were created with their order numbers and their corresponding tracking numbers as values. Additionally, the response includes a success boolean indicating the status of the request.Example

{
    "orders": {
        "398667087": "XYZ-92312-VSDV-24814",
        "398667099": "NCA-21938-KASL-12314",
        "398667108": "MOX-53215-AJVV-12395",
        "398667112": "BZH-12841-ASGB-12451"
    },
    "success": true
}

Request body

{
    "orders":[
        {
            "name": "John Smith",
            "carrier": "AusPost",
            "tracking_number": "XYZ-92312-VSDV-24814"
        },
        {
            "name": "Jane Smith",
            "carrier": "AusPost",
            "tracking_number": "NCA-21938-KASL-12314"
        },
        {
            "order_number": "ORD10002",
            "carrier": "AusPost",
            "tracking_number": "MOX-53215-AJVV-12395"
        },
        {
            "carrier": "AusPost",
            "tracking_number": "BZH-12841-ASGB-12451"
        }
    ]
}

Response examples

Create Tracking Only Order (200)
{
    "orders": {
        "398667087": "XYZ-92312-VSDV-24814",
        "398667099": "NCA-21938-KASL-12314",
        "398667108": "MOX-53215-AJVV-12395",
        "398667112": "BZH-12841-ASGB-12451"
    },
    "success": true
}

Rates

Request checkout rates and delivery services from courier accounts configured in Starshipit.

3 endpoints shown

Copy curlView as MarkdownCopy for LLM
Get RatesRequestResponses

Endpoint URL

https://api.starshipit.com/api/rates

Endpoint details

Get a quote for a shipment

Get Rates Request

Parameter Type Description
sender object (nullable) Sender address details (Rate Sender Address Model) Pickup Address details from the Settings are used if this parameter is not included in the request.
destination object Shipping address details (Rate Destination Address Model)
packages object list A list of packages with weight and dimensions (Rate Package Model)
currency string Currency code for the order value (max length: 3) e.g. AUD

Get Rates Response

Attribute Type Description
rates object list A list of available shipping rates (Rate Model)
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Rate Sender Address Model

Attribute Type Description
street string Street number and name of the sender address
suburb string Suburb of the sender address
city string City of the sender address
state string State, regional, provincial or county name of the sender address
post_code string Postal or zip code of the sender address
country_code string The country code of the sender address

Rate Destination Address Model

Attribute Type Description
street string Street number and name of the delivery address
suburb string Suburb of the delivery address
city string City of the delivery address
state string State, regional, provincial or county name of the delivery address
post_code string Postal or zip code of the delivery address
country_code string The country code of the delivery address

Rate Package Model

Attribute Type Description
weight double Physical weight of the parcel in kilograms (kg)
height double (nullable) Height of the parcel in meters (m)
width double (nullable) Width of the parcel in meters (m)
length double (nullable) Length of the parcel in meters (m)

Rate Model

Attribute Type Description
service_name string Description of the carrier service
service_code string Carrier service/product code
total_price number Price of service

Request body

{
  "sender": {
    "street": "184 Exhibition Street",
    "suburb": "Melbourne",
    "city": "Melbourne",
    "state": "VIC",
    "post_code": "3000",
    "country_code": "AU"
  },
  "destination": {
    "street": "20 Liverpool Street",
    "suburb": "Paddington",
    "city": "Sydney",
    "state": "NSW",
    "post_code": "2021",
    "country_code": "AU"
  },
  "packages": [
    {
      "weight": 0.1
    }
  ]
}

Response examples

Get Rates with sender address specified
{
  "rates": [
    {
      "service_name": "PARCEL POST + SIGNATURE",
      "service_code": "7B05",
      "total_price": 12.05
    },
    {
      "service_name": "EXPRESS POST + SIGNATURE",
      "service_code": "7B05",
      "total_price": 14.65
    }
  ],
  "success": true
}
Get Rates with default sender address (200)
{
  "rates": [
    {
      "service_name": "PARCEL POST + SIGNATURE",
      "service_code": "7B05",
      "total_price": 10.15
    },
    {
      "service_name": "EXPRESS POST + SIGNATURE",
      "service_code": "7B05",
      "total_price": 12.85
    }
  ],
  "success": true
}
Copy curlView as MarkdownCopy for LLM
Get Rates (Deprecated)DeprecatedResponses

Endpoint URL

https://api.starshipit.com/api/rates

Endpoint details

Get a quote for a shipment

Request Parameters

Parameter Type Description
street string Street number and name of the delivery address
post_code string Postal or zip code of the delivery address
country_code string The country code of the delivery address
weight number Format - double. Total weight of the order
suburb (optional) string Suburb of the delivery address
city (optional) string City of the delivery address
state (optional) string State, regional, provincial or county name of the delivery address
height (optional) number Format - double. Height of the package in metres
width (optional) number Format - double. Width of the package in metres
length (optional) number Format - double. Length of the package in metres

Get Rates Response

Attribute Type Description
rates object list A list of available shipping rates (Rate Model)
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Response examples

Get Rates (200)
{
  "rates": [
    {
      "service_name": "PARCEL POST + SIGNATURE",
      "service_code": "7B05",
      "total_price": 10.15
    },
    {
      "service_name": "EXPRESS POST + SIGNATURE",
      "service_code": "7B05",
      "total_price": 12.85
    }
  ],
  "success": true
}
Copy curlView as MarkdownCopy for LLM
Delivery ServicesRequestResponses

Endpoint URL

https://api.starshipit.com/api/deliveryservices

Endpoint details

Get a list of available carrier delivery services

Delivery Services Request

Type Description
order_id (optional) int Refresh the rate for a specified order ID
refresh_rate (optional) boolean Trigger the rate to be refreshed
sender (optional) Sender Object The Sender address that should be used for the rate request
destination (optional) Destination Object The destination address that should be used for the request
packages Packages Object Array Packages of the order (Delivery Services - Package Model)
declared_value (optional) Float The value of the shipment
include_pricing boolean Whether to return pricing in the response. Defaults to false.
return_order boolean Whether the shipment is a return order. Defaults to false
signature_required boolean
authority_to_leave boolean
dangerous_goods boolean Whether the shipment contains dangerous goods
insurance_value float The amount of insurance included on the shipment

Delivery Services - Sender Model

Attribute Type Description
street string Street number and name of the sender address
suburb string Suburb of the sender address
city string City of the sender address
state string State of the sender address
post_code string Postal or zip code of the sender address
country_code string The country code of the sender address

Delivery Services - Destination Model

Attribute Type Description
street string Street number and name of the delivery address
suburb string Suburb of the delivery address
city string City of the delivery address
state string State of the delivery address
post_code string Postal or zip code of the delivery address
country_code string The country code of the delivery address

Delivery Services - Packages Model

Attribute Type Description
weight double Physical weight of the parcel in kilograms (kg)
height double Height of the parcel in meters (m)
width double Width of the parcel in meters (m)
length double Length of the parcel in meters (m)

Delivery Services Response

Attribute Type Description
services object list A list of available delivery services (Delivery Services - Service Model)
default_service object The name of the default service, if available, as configured by the user (Delivery Services - Service Model)
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Delivery Services - Service Model

Attribute Type Description
carrier string The carrier code
carrier_name string The carrier name
service_name string Description of the carrier service
service_code string Carrier service/product code
total_price double Price of service
metafields object list Additional options available for the carrier service (Delivery Services - Meta Field Model))

Delivery Services - Meta Field Model

Attribute Type Description
key string The unique identifier for the meta field
name string The display name of the meta field
description string The additional information about the meta field
display_type string States how the meta field should be display as 'checkbox', 'textbox' or 'dropdownlist'
value string The information to be stored as meta data
default_value string The default stored value for the meta data
available_values string list The values for 'dropdownlist' display type

Request body

{
    "order_id": 100000,
    "refresh_rate": true,
    "sender": {
        "street": "10 Geonic Street",
        "suburb": "Woodridge",
        "city": "",
        "state": "QLD",
        "post_code": "4114",
        "country_code": "AU"
    },
    "destination": {
        "street": "10 Geoffrey Place",
        "suburb": "Mangere East",
        "city": "Auckland",
        "state": "",
        "post_code": "2024",
        "country_code": "NZ"
    },
    "packages": [
        {
            "weight": 1.0,
            "height": 0.1,
            "width": 0.1,
            "length": 0.1,
            "package_name": "Package"
        }
    ],
    "declared_value": 20.00,
    "return_order": false,
    "include_pricing": true,
    "signature_required": null,
    "authority_to_leave": false,
    "dangerous_goods": false,
    "insurance_value": 0.0
}

Response examples

Delivery Services (200)
{
    "services": [
        {
            "carrier": "AusPost",
            "carrier_name": "Australia Post",
            "service_name": "INTL EXPRESS MERCH",
            "service_code": "ECM8",
            "total_price": 14.8,
            "metafields": [
                {
                    "key": "INSURANCEVALUE",
                    "name": "Cover/Warranty",
                    "description": "",
                    "display_type": "textbox",
                    "value": "0.00",
                    "default_value": "0.00",
                    "value_type": "string",
                    "label": "Cover/Warranty",
                    "read_only": false
                },
                {
                    "key": "EXPORTTYPE",
                    "name": "Classification",
                    "description": "",
                    "display_type": "dropdownlist",
                    "value": "",
                    "default_value": "",
                    "available_values": [
                        "Not Set",
                        "Gift",
                        "Commercial Sample",
                        "Other",
                        "Returned Goods",
                        "Sale of Goods"
                    ],
                    "value_type": "string",
                    "label": "Classification",
                    "read_only": false
                },
                {
                    "key": "COMMERCIALVALUE",
                    "name": "Has Commercial Value",
                    "description": "",
                    "display_type": "checkbox",
                    "value": "False",
                    "default_value": "False",
                    "value_type": "boolean",
                    "label": "Has Commercial Value",
                    "read_only": false
                },
                {
                    "key": "EXPORTNUMBER",
                    "name": "Export Number",
                    "description": "",
                    "display_type": "textbox",
                    "value": "",
                    "default_value": "",
                    "value_type": "string",
                    "label": "Export Number",
                    "read_only": false
                },
                {
                    "key": "INSURANCE",
                    "name": "Insurance",
                    "description": "",
                    "display_type": "checkbox",
                    "value": "False",
                    "default_value": "False",
                    "value_type": "boolean",
                    "label": "Cover/Warranty Required",
                    "read_only": false
                }
            ],
            "pricing_breakdown": {
                "Calculated Price ex GST": "$14.80",
                "Calculated GST": "$0.00",
                "Calculated Price": "$14.80",
                "Estimated delivery days (earliest)": "4",
                "Estimated delivery days (latest)": "4",
                "Estimated delivery date": "2024-02-01"
            }
        },
        {
            "carrier": "AusPost",
            "carrier_name": "Australia Post",
            "service_name": "INTL EXPRESS DOCS",
            "service_code": "ECD8",
            "total_price": 19.9,
            "metafields": [
                {
                    "key": "INSURANCEVALUE",
                    "name": "Cover/Warranty",
                    "description": "",
                    "display_type": "textbox",
                    "value": "0.00",
                    "default_value": "0.00",
                    "value_type": "string",
                    "label": "Cover/Warranty",
                    "read_only": false
                },
                {
                    "key": "EXPORTTYPE",
                    "name": "Classification",
                    "description": "",
                    "display_type": "dropdownlist",
                    "value": "",
                    "default_value": "",
                    "available_values": [
                        "Not Set",
                        "Gift",
                        "Commercial Sample",
                        "Other",
                        "Returned Goods",
                        "Sale of Goods"
                    ],
                    "value_type": "string",
                    "label": "Classification",
                    "read_only": false
                },
                {
                    "key": "COMMERCIALVALUE",
                    "name": "Has Commercial Value",
                    "description": "",
                    "display_type": "checkbox",
                    "value": "False",
                    "default_value": "False",
                    "value_type": "boolean",
                    "label": "Has Commercial Value",
                    "read_only": false
                },
                {
                    "key": "EXPORTNUMBER",
                    "name": "Export Number",
                    "description": "",
                    "display_type": "textbox",
                    "value": "",
                    "default_value": "",
                    "value_type": "string",
                    "label": "Export Number",
                    "read_only": false
                },
                {
                    "key": "INSURANCE",
                    "name": "Insurance",
                    "description": "",
                    "display_type": "checkbox",
                    "value": "False",
                    "default_value": "False",
                    "value_type": "boolean",
                    "label": "Cover/Warranty Required",
                    "read_only": false
                }
            ],
            "pricing_breakdown": {
                "Calculated Price ex GST": "$19.90",
                "Calculated GST": "$0.00",
                "Calculated Price": "$19.90",
                "Estimated delivery days (earliest)": "4",
                "Estimated delivery days (latest)": "4",
                "Estimated delivery date": "2024-02-01"
            }
        },
        {
            "carrier": "AusPost",
            "carrier_name": "Australia Post",
            "service_name": "INTL STANDARD/PACK & TRACK",
            "service_code": "PTI8",
            "total_price": 11.85,
            "metafields": [
                {
                    "key": "INSURANCEVALUE",
                    "name": "Cover/Warranty",
                    "description": "",
                    "display_type": "textbox",
                    "value": "0.00",
                    "default_value": "0.00",
                    "value_type": "string",
                    "label": "Cover/Warranty",
                    "read_only": false
                },
                {
                    "key": "EXPORTTYPE",
                    "name": "Classification",
                    "description": "",
                    "display_type": "dropdownlist",
                    "value": "",
                    "default_value": "",
                    "available_values": [
                        "Not Set",
                        "Gift",
                        "Commercial Sample",
                        "Other",
                        "Returned Goods",
                        "Sale of Goods"
                    ],
                    "value_type": "string",
                    "label": "Classification",
                    "read_only": false
                },
                {
                    "key": "COMMERCIALVALUE",
                    "name": "Has Commercial Value",
                    "description": "",
                    "display_type": "checkbox",
                    "value": "False",
                    "default_value": "False",
                    "value_type": "boolean",
                    "label": "Has Commercial Value",
                    "read_only": false
                },
                {
                    "key": "EXPORTNUMBER",
                    "name": "Export Number",
                    "description": "",
                    "display_type": "textbox",
                    "value": "",
                    "default_value": "",
                    "value_type": "string",
                    "label": "Export Number",
                    "read_only": false
                },
                {
                    "key": "INSURANCE",
                    "name": "Insurance",
                    "description": "",
                    "display_type": "checkbox",
                    "value": "False",
                    "default_value": "False",
                    "value_type": "boolean",
                    "label": "Cover/Warranty Required",
                    "read_only": false
                }
            ],
            "pricing_breakdown": {
                "Calculated Price ex GST": "$11.85",
                "Calculated GST": "$0.00",
                "Calculated Price": "$11.85",
                "Estimated delivery days (earliest)": "5",
                "Estimated delivery days (latest)": "8"
            }
        },
        {
            "carrier": "AusPost",
            "carrier_name": "Australia Post",
            "service_name": "INT'L STANDARD WITH SIGNATURE",
            "service_code": "PTI7",
            "total_price": 16.35,
            "metafields": [
                {
                    "key": "INSURANCEVALUE",
                    "name": "Cover/Warranty",
                    "description": "",
                    "display_type": "textbox",
                    "value": "0.00",
                    "default_value": "0.00",
                    "value_type": "string",
                    "label": "Cover/Warranty",
                    "read_only": false
                },
                {
                    "key": "EXPORTTYPE",
                    "name": "Classification",
                    "description": "",
                    "display_type": "dropdownlist",
                    "value": "",
                    "default_value": "",
                    "available_values": [
                        "Not Set",
                        "Gift",
                        "Commercial Sample",
                        "Other",
                        "Returned Goods",
                        "Sale of Goods"
                    ],
                    "value_type": "string",
                    "label": "Classification",
                    "read_only": false
                },
                {
                    "key": "COMMERCIALVALUE",
                    "name": "Has Commercial Value",
                    "description": "",
                    "display_type": "checkbox",
                    "value": "False",
                    "default_value": "False",
                    "value_type": "boolean",
                    "label": "Has Commercial Value",
                    "read_only": false
                },
                {
                    "key": "EXPORTNUMBER",
                    "name": "Export Number",
                    "description": "",
                    "display_type": "textbox",
                    "value": "",
                    "default_value": "",
                    "value_type": "string",
                    "label": "Export Number",
                    "read_only": false
                },
                {
                    "key": "INSURANCE",
                    "name": "Insurance",
                    "description": "",
                    "display_type": "checkbox",
                    "value": "False",
                    "default_value": "False",
                    "value_type": "boolean",
                    "label": "Cover/Warranty Required",
                    "read_only": false
                }
            ],
            "pricing_breakdown": {
                "Calculated Price ex GST": "$16.35",
                "Calculated GST": "$0.00",
                "Calculated Price": "$16.35",
                "Estimated delivery days (earliest)": "5",
                "Estimated delivery days (latest)": "8"
            }
        },
        {
            "carrier": "AusPost",
            "carrier_name": "Australia Post",
            "service_name": "APGL NZ EXPRESS",
            "service_code": "IC5",
            "total_price": 12.16,
            "metafields": [
                {
                    "key": "INSURANCEVALUE",
                    "name": "Cover/Warranty",
                    "description": "",
                    "display_type": "textbox",
                    "value": "0.00",
[...]
